Autor Tópico: Instalação do iReport no Ubuntu 7.04  (Lida 4426 vezes)

Offline fabiomota

  • Usuário Ubuntu
  • *
  • Mensagens: 2
    • Ver perfil
Instalação do iReport no Ubuntu 7.04
« Online: 09 de Setembro de 2007, 09:50 »
Uso Linux Ubuntu 7.04 (e quase não uso mais o Windows XP), instalado o jdk1.6.02.
Ao instalar o iReport recebo a seguinte mensagem de erro:

Citar
abio@fabio-desktop:~/Projects/iReport-2.0.1/bin$ ./startup.sh
Exception in thread "main" java.awt.AWTError: Cannot load AWT toolkit: gnu.java.awt.peer.gtk.GtkToolkit
   at java.awt.Toolkit.getDefaultToolkit(libgcj.so.70)
   at java.awt.GraphicsEnvironment.getLocalGraphicsEnvironment(libgcj.so.70)
   at java.awt.Window.<init>(libgcj.so.70)
   at java.awt.Frame.<init>(libgcj.so.70)
   at java.awt.Frame.<init>(libgcj.so.70)
   at javax.swing.SwingUtilities$OwnerFrame.<init>(libgcj.so.70)
   at javax.swing.SwingUtilities.getOwnerFrame(libgcj.so.70)
   at javax.swing.JDialog.<init>(libgcj.so.70)
   at javax.swing.JDialog.<init>(libgcj.so.70)
   at it.businesslogic.ireport.gui.SplashDialog.<init>(SplashDialog.java:44)
   at it.businesslogic.ireport.gui.MainFrame.main(MainFrame.java:7975)
Caused by: java.lang.UnsatisfiedLinkError: libgtkpeer: libgtkpeer.so: não é possível abrir objecto partilhado: Arquivo ou diretório inexistente
   at java.lang.Runtime._load(libgcj.so.70)
   at java.lang.Runtime.loadLibrary(libgcj.so.70)
   at java.lang.System.loadLibrary(libgcj.so.70)
   at gnu.java.awt.peer.gtk.GtkToolkit.<clinit>(libgcj.so.70)
   at java.lang.Class.initializeClass(libgcj.so.70)
   at java.lang.Class.forName(libgcj.so.70)
   at java.awt.Toolkit.getDefaultToolkit(libgcj.so.70)
   ...10 more
fabio@fabio-desktop:~/Projects/iReport-2.0.1/bin$ java -version
java version "1.4.2"
gij (GNU libgcj) version 4.1.2 (Ubuntu 4.1.2-0ubuntu5)


----------------
Já alterei o .bashrc incluindo JAVA_HOME e nada ...
Alguém pode me ajudar ?
Desde já agradeço.

Offline fmatt

  • Usuário Ubuntu
  • *
  • Mensagens: 4
    • Ver perfil
Re: Instalação do iReport no Ubuntu 7.04
« Resposta #1 Online: 01 de Dezembro de 2007, 16:39 »
Olá fabimota

Tente instalar os pacotes awt pro java. Pode ser que resolva. Procure no Synaptic ou use o apt-get pra instalar os pacotes:

libgcj7-1-awt
libgcj8-1-awt

Espero que funcione!
--
In the beginning, God created man.